/*
 * Bt.c
 *
 *  Created on: Aug 30, 2018
 *      Author: Tomas
 */


#include "Bt.h"

void BtOn() {

	//HAL_GPIO_WritePin( BT_EN_GPIO_Port, BT_EN_Pin, ENABLE );
	MX_USART1_UART_Init();

}

void BtSearch( uint8_t * ids ) {
	BtOn();
	uint8_t buffer[ 100 ];
	uint8_t new_line_flag = 0;
	uint8_t start_found = 0;
	uint8_t addr_start = 0;
	uint8_t addr_pos = 0;
	HAL_UART_Receive( &huart1, buffer, 100, 5000 );
	uint8_t addr[ 14 ];

	for( int x = 0; x < 100; x++ ) {

		if ( buffer[ x ] == '&' ) {
			start_found++;
			if ( start_found == 2 ) {
				addr_start = x+1;
				continue;
			}
		}

		if ( start_found < 2 )
			continue;

		addr[ x - addr_start ] = buffer[ x ];
		addr_pos++;
		if ( buffer[ x ] == '\n' ){

			for( int y = 0; y < 14; y++ ) {

			}

			start_found = 0;
		}

		if ( addr[4] == '1' ){
			asm( "nop" );
		}
	}

	BtOff();
}

void BtOff() {

	//HAL_GPIO_WritePin( BT_EN_GPIO_Port, BT_EN_Pin, DISABLE );
	HAL_Delay( 500 );
	HAL_UART_DeInit( &huart1 );

}
