/*
 * MagneticQueue.c
 *
 *  Created on: Jan 3, 2018
 *      Author: Tomas
 */


#include "MagneticQueue.h"


void initQueue( MagneticQueue * queue ) {
	queue->w_pos = 0;
	queue->r_pos = 0;

}

void pushValue( MagneticQueue * queue, Mag3110 val ) {

	queue->arr[ queue->w_pos ] = val;

	queue->w_pos = ( queue->w_pos + 1 ) % 100;

}

Mag3110 getValue( MagneticQueue * queue ) {
	Mag3110 df = queue->arr[ queue->r_pos ];
	queue->r_pos = ( queue->r_pos + 1 ) % 100;
	return df;
}

uint8_t isQueueEmpty( MagneticQueue * queue ) {
	if ( queue->r_pos == queue->w_pos ) {
		return 1;
	}

	return 0;
}
