/*
 * NRF.h
 *
 *  Created on: May 30, 2019
 *      Author: Tomas
 */

#ifndef NRF_H_
#define NRF_H_

#include "main.h"

#include "NRF52.h"

uint8_t nrfSanityCheck( uint8_t mode );
void initNRF();
void startNRF( uint8_t mode );
uint8_t isPacketWaiting();
uint8_t nrfGetPacket( char * buffer );
uint8_t nrfIsPacketWaiting();
void nrfEmitData( uint8_t * buffer );
void magneticTelemetry( Mag3110 * val );
uint32_t getLairdNrfVersion();
void stopNRFMode();
#endif /* NRF_H_ */
