#ifndef NEIGHBOUR_PARKING_H_
#define NEIGHBOUR_PARKING_H_

#include "main.h"
#include "NRF.h"

uint8_t neighbours[6][8];
uint8_t number_of_neighbours;

#define NRF_NEIGHBOUR_SEARCH_TIME 8000 // in ms
#define NB_SEARCH_THRESHOLD 40
#define NB_CHECK_TIMEOUT 500 // in s

struct NBDetection {

	int32_t stable_a;
	int32_t bellum;
	uint32_t overshoot_count;
	uint32_t current_tick_count;
	uint32_t last_check_tick_count;




};
typedef struct NBDetection NBDetection;

NBDetection nb_detection;

void nbPutNewNeighbour( char * buffer );
void nbClearNeighbours();
uint8_t nbCheckIfNeighbourInNeighbours( char * buffer );


#endif
