/*
 * bootloader.h
 *
 *  Created on: Nov 2, 2018
 *      Author: Tomas
 */

#ifndef BOOTLOADER_H_
#define BOOTLOADER_H_

#include "SPIFlash.h"
#include "SPI.h"
#include "GPIO.h"
#include "nrf24l01.h"
#include "usart.h"
#include "main.h"
#include "nvm.h"
#include "sha256.h"
#include "iwdg.h"
#include "common.h"
#include "NRF24.h"
#include "NRF.h"
#include "NRF52.h"

uint32_t size;
uint16_t addrses;
uint16_t file_crc;
uint32_t total_received_size;
int16_t waiting_for_packet;
uint64_t bootloader_last_sanity_check;

unsigned int doCrc( char *data, int size);
int bootloaderInit();
void bootloaderStep();
void bootloaderEnd();

#endif /* BOOTLOADER_H_ */
