/*
 * init_operational.h
 *
 *  Created on: Aug 1, 2017
 *      Author: fiala
 */

#ifndef MODE_OPERATIONAL_H_
#define MODE_OPERATIONAL_H_

#include "main.h"
#include "i2c.h"
#include "gpio.h"
#include "usart.h"
#include "rtc.h"


#include "common.h"
#include "parking.h"
#include "battery.h"
#include "uartRxBuff.h"
#include "radio.h"
#include "parking_msgs.h"
#include "iwdg.h"
#include "spi.h"
#include "adc.h"
#include "NRF24.h"
#include "parking.h"
#include <math.h>
#include "MagneticQueue.h"
#include "MMC34160PJ.h"
#include "LAIDBootloader.h"
#include "mode_residential_parking.h"

//void mode_operational(void);

void mode_operational_loop( uint8_t type_of_start );
void murata_join_network(void);
void mode_operational_init();
void mode_operational_loop_magnetic();
void mode_operational_wireless_datalogger();

#endif /* MODE_OPERATIONAL_H_ */
