/*
 * nvm.h
 *
 *  Created on: Jul 3, 2017
 *      Author: fiala
 */

#ifndef NVM_H_
#define NVM_H_

#include "main.h"

void nvmWriteByte(uint32_t addr, uint32_t data );
uint32_t nvmReadInteger(uint32_t addr);
uint8_t nvmGetOperatingMode();
void nvmWriteOperatingMode( uint8_t mode );
uint32_t nvmGetNumberOfIWDGRestarts();
void nvmSetNumberOfIWDGRestarts( uint32_t number_of_restart );
void nvmErase();

#define OPERATING_MODE_STORAGE 0
#define OPERATING_MODE_SENSOR 1


#define MEMORY_VALID 1
#define MEMORY_INVALID 254


#endif /* NVM_H_ */
