/*
 * radio.h
 *
 *  Created on: Aug 22, 2017
 *      Author: pc
 */

#ifndef RADIO_H_
#define RADIO_H_

#include "main.h"

#ifdef SIGFOX
#include "sigfox.h"
#endif

#ifdef LORA
#include "lora.h"
#endif




#define POWER_17 1
#define POWER_16 1
#define POWER_15 1
#define POWER_14 2

//uint16_t frame_counter = 0;

void radio_init(void);
void radio_set_power( uint8_t power );
uint8_t radio_send_msg( char * hex, uint8_t ack_msgs );
void radio_on();
void radio_init_uart();
void radio_off();
uint8_t radio_recv_msg();
uint8_t radio_send_multibyte_msg( char * buffer, int len, uint8_t ignore_downlinks, uint8_t ack_msgs );
#endif /* RADIO_H_ */
