/*
 * LIS3DSL.h
 *
 *  Created on: Jan 23, 2018
 *      Author: pc
 */

#ifndef LIS3MDL_H_
#define LIS3MDL_H_

#define LIS3MDL_ADDR		0b00111100
#define LIS3MDL_I2C_TIMEOUT	2000

#include "main.h"
#include "stdint.h"
#include "gpio.h"


#define LIS3MDL_WHO_AM_I 0x0F

HAL_StatusTypeDef lis3mdl_write( uint8_t * data, uint8_t size, uint8_t reg);
HAL_StatusTypeDef lis3mdl_read( uint8_t * data, uint8_t size, uint8_t reg);
void lis3mdl_readWhoAmI();
HAL_StatusTypeDef lis3mdl_basic_config();
void getCurrentVal( Mag3110 * gg );
int16_t lis3mdl_get_temp();

#endif /* LIS3MDL_H_ */
