/*
 * MagneticQueue.c
 *
 *  Created on: Jan 3, 2018
 *      Author: Tomas
 */

#ifndef MAGNETICQUEUE_C_
#define MAGNETICQUEUE_C_


#include "main.h"
#include "LIS3MDL.h"

struct MagneticQueue {
	Mag3110 arr[ 110 ];
	unsigned int w_pos;
	unsigned int r_pos;

};

typedef struct MagneticQueue MagneticQueue;

void initQueue( MagneticQueue * queue );
void pushValue( MagneticQueue * queue, Mag3110 val );
Mag3110 getValue( MagneticQueue * queue );
uint8_t isQueueEmpty( MagneticQueue * queue );


#endif /* MAGNETICQUEUE_C_ */
