/*
 * NRF24.h
 *
 *  Created on: Oct 3, 2018
 *      Author: Tomas
 */

#ifndef NRF241_H_
#define NRF241_H_

#include "main.h"
#include "nrf24l01.h"
#include "gpio.h"
#include "spi.h"
#include "iwdg.h"
#include "NRF_def.h"

#define READY_DATA 1
#define NO_DATA 0


#define EMIT_NEIGHBOUR_COMMANDS 2
#define EMIT_COMMANDS 1
#define EMIT_BOUNCE 0

#define COMMAND_RESPONSE_TIME 5000
void nRF24Emit( uint8_t * write_addr, char * buf );
NRF24L01_t NRF24L01_Struct1;
uint8_t nrfReceiveBounce();
#endif /* NRF24_H_ */
