/*
 * NRF24.h
 *
 *  Created on: Oct 3, 2018
 *      Author: Tomas
 */

#ifndef NRF52_H_
#define NRF52_H_

#include "main.h"
#include "nrf24l01.h"
#include "gpio.h"
#include "spi.h"
#include "iwdg.h"
#include "NRF_def.h"

#define READ_OP 0
#define WRITE_OP 1

#define WHO_AM_I 1 //The senate of course
#define PACKET_CONT 2

uint8_t nRF52init();
uint8_t nRF52SanityCheck( uint8_t active_mode );
uint8_t nRF52ReadRegister( uint8_t reg, uint8_t * buffer, uint8_t len );
uint8_t nRF52WriteRegister( uint8_t reg, uint8_t data );
void nR52Emit( uint8_t * buffer );
void delay_ns();
uint8_t nRF52getPacket( uint8_t * buffer );
uint8_t nRF52PacketReceived();
#endif /* NRF24_H_ */
