/*
 * NRF_def.h
 *
 *  Created on: Jun 11, 2019
 *      Author: Tomas
 */

#ifndef NRF_DEF_H_
#define NRF_DEF_H_

#define NRF_COMMAND_SET_TX_PWR 0
#define NRF_COMMAND_REBOOT 1
#define NRF_COMMAND_SEND_MAC 2
#define NRF_COMMAND_ENTER_BOOTLOADER 3
#define NRF_COMMAND_ENTER_NRF_BURST_MODE 4
#define NRF_COMMAND_EXIT_COMMAND_MODE 5
#define NRF_COMMAND_ENTER_STORAGE_MODE 6
#define NRF_COMMAND_ANSWER_PING 7
#define NRF_COMMAND_MAG_TELEMETRY 8
#define NRF_COMMAND_SET_BASELINE 9
#define NRF_COMMAND_FLASH_LED 10
#define NRF_COMMAND_CHANGE_DR 11

#define RECEIVE_COMMANDS_RESP 5
#define RECEIVE_LAID_BOOTLOADER 4
#define RECEIVE_RESIDENTIAL_PARKING 3
#define RECEIVE_NEIGHBOUR_BOUNCE 2
#define RECEIVE_BOOTLOADER 1
#define RECEIVE_COMMANDS 0

#endif /* NRF_DEF_H_ */
