/*
 * PhotoTransistor.c
 *
 *  Created on: Nov 1, 2018
 *      Author: Tomas
 */


#include "PhotoTransistor.h"

void enablePhotoTransistor() {
	HAL_GPIO_WritePin( PHT_EN_GPIO_Port, PHT_EN_Pin, ENABLE );
}

uint8_t isLightOnPhotoTransistor() {
	if ( HAL_GPIO_ReadPin( WKUP1_PHT_GPIO_Port, WKUP1_PHT_Pin ) == ENABLE ) {
		return 1;
	}
	return 0;
}



void disablePhotoTransistor() {
	HAL_GPIO_WritePin( PHT_EN_GPIO_Port, PHT_EN_Pin, DISABLE );
}
