/*
 * circleBuffer.c
 *
 *  Created on: Jul 6, 2018
 *      Author: Tomas
 */

#include "circleBuffer.h"


void CBcopyBuffer( CircleBuffer * buf, CircleBuffer * new_buffer ) {

	for ( int x = 0; x < CIRCLE_BUFFER_SIZE; x++ ) {
		new_buffer->buffer[ x ] = buf->buffer[ x ];
	}

}

int32_t CBGet( CircleBuffer * buf ) {

	uint8_t number_of_exchanges = 1;

	CircleBuffer sort_buffer;

	CBinit( &sort_buffer );

	CBcopyBuffer( buf, &sort_buffer );

	while( number_of_exchanges >= 1 ) {
		number_of_exchanges = 0;
		for ( int x = 0; x < CIRCLE_BUFFER_SIZE-1; x++ ) {
			if ( sort_buffer.buffer[ x ] > sort_buffer.buffer[ x + 1 ] ) {
				number_of_exchanges++;
				int32_t temp = sort_buffer.buffer[ x ];
				sort_buffer.buffer[ x ] = sort_buffer.buffer[ x + 1 ];
				sort_buffer.buffer[ x + 1 ] = temp;
			}
		}
	}

	int32_t vv = (sort_buffer.buffer[ 4 ]+sort_buffer.buffer[ 5 ])/2;
	return vv;
}

void CBPush( CircleBuffer * buf, int32_t val ) {
	buf->buffer[ buf->pos++ ] = val;
	if ( buf->pos >= CIRCLE_BUFFER_SIZE ) {
		 buf->pos = 0;
	}
}

void CBinit( CircleBuffer * buf ) {
	buf->pos = 0;
	for( int x = 0; x < CIRCLE_BUFFER_SIZE; x++ ) {
		buf->buffer[ x ] = 0;
	}

}
