/*
 * circleBuffer.h
 *
 *  Created on: Jul 6, 2018
 *      Author: Tomas
 */

#ifndef CIRCLEBUFFER_H_
#define CIRCLEBUFFER_H_

#define CIRCLE_BUFFER_SIZE 10

#include "stdint.h"

struct CircleBuffer {
	int32_t buffer[ 11 ];
	uint8_t pos;
};

typedef struct CircleBuffer CircleBuffer;

void CBinit( CircleBuffer * buf );
void CBPush( CircleBuffer * buf, int32_t val );
int32_t CBGet( CircleBuffer * buf );
void CBcopyBuffer( CircleBuffer * buf, CircleBuffer * new_buffer );
#endif /* CIRCLEBUFFER_H_ */
