/*
 * circleBuffer.h
 *
 *  Created on: Jul 6, 2018
 *      Author: Tomas
 */

#ifndef LUX_METER_H_
#define LUX_METER_H_


#include "stdint.h"
#include "main.h"
#include "i2c.h"

struct LuxMeterData {
	uint64_t last_send;
	uint8_t scale;
} ;

typedef struct LuxMeterData LuxMeterData;
uint32_t stepLuxMeter( LuxMeterData * data );
uint32_t getLuxData();
void setNewLuxMeas();
void initLuxMeter( LuxMeterData * data );
#endif /* CIRCLEBUFFER_H_ */
