/*
 * magnetometer.h
 *
 *  Created on: Aug 2, 2018
 *      Author: Tomas
 */


#ifndef MAGNETOMETER_H_
#define MAGNETOMETER_H_

#include "main.h"
#include "i2c.h"
#include "gpio.h"
#ifdef LIS3MDL
#include "LIS3MDL.h"
#endif
#ifdef MMC34160PJ
#include "MMC34160PJ.h"
#endif
#ifdef BOTH_MAGNETOMETERS
#include "LIS3MDL.h"
#include "MMC34160PJ.h"
#endif

uint32_t c_count;
uint8_t current_MDR;


void resetMagnetometer();
uint8_t getData( Mag3110 * gg );
void setHZData( uint8_t req_settings );

void softReset();

#endif /* MMC34160PJ_H_ */
