/*
 * sd.h
 *
 *  Created on: Apr 13, 2018
 *      Author: Tomas
 */

#ifndef SD_H_
#define SD_H_

#include "main.h"
#include "ff.h"
#include "ffconf.h"
#include "ff_gen_drv.h"
#include "spi.h"

#define SD_EN_GPIO 0
#define SD_EN 1

DWORD FileSize;
FRESULT res;
uint32_t byteswritten;
uint32_t bytesread;
uint32_t adc, ref;
Diskio_drvTypeDef SD_Driver;
FATFS SDFatFs;  /* File system object for SD card logical drive */
FIL MyFile;
char SDPath[4];

void sd_init();
void sd_write( char * filename, char * data, uint16_t len );
void sd_write_to_card( int16_t x, int16_t y, int16_t z, uint8_t state, int32_t bellum, int32_t a, int32_t diff );
void sd_flush_to_card();

uint16_t count_sd;
/*
typedef struct SD_Point {
	uint32_t x;
	uint32_t y;
	uint32_t z;
	int32_t bellum;
	uint8_t state;
	int32_t a;
	int32_t diff;

}SD_Point;

SD_Point point_buffet[ 100 ];
*/
char sd_buffer[ 3000 ];
uint32_t sd_buffer_pos;
#endif /* SD_H_ */
