/*
 * sigfox.h
 *
 *  Created on: Mar 9, 2018
 *      Author: Tomas
 */

#ifndef SRCS_SIGFOX_H_
#define SRCS_SIGFOX_H_

#include "main.h"
#include "gpio.h"
#include "usart.h"
#include "uartRxBuff.h"

#define DEFAULT_UART_TIMEOUT 500
#define DEFAULT_UART_COMMAND_TIMEOUT 500

#define DEFAULT_UART_TIMEOUT 500
#define DEFAULT_UART_COMMAND_TIMEOUT 500

#define NO_DATA_RECEIVED 0
#define DATA_RECEIVED 1

#define EMPTY_MSG 0
#define RESTART_MSG 1

#define SETTINGS_MSG 2
#define SETTINGS_MSG1 5
#define SETTINGS_MSG2 6
#define SETTINGS_MSG3 7
#define SETTINGS_MSG4 8
#define SETTINGS_MSG5 10
#define BOOTLOADER_MSG 9

#define BASELINE_MSG 3
#define KA_SETTINGS 4

#define NO_CHANGE 0

void sigfox_init();
void sigfox_on();
void sigfox_off();
void sigfox_off();
void sigfox_UART_Init(void);
uint8_t sigfox_send( char * command );
uint8_t sigfox_frame_counter();
uint8_t sigfox_recv_msg();
#endif /* SRCS_SIGFOX_H_ */
